Announcement

Collapse
No announcement yet.

Compile error on open-xchange-admin

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Compile error on open-xchange-admin

    Hi I change now to OpenSuse 10.3. Work really well.
    I download the OpenSuse10.3 Installer. (Look really good).
    But I get a compiler error when compiling open-xchange-admin .

    Code:
    # ant -q -Dlib.dir=/opt/open-xchange/lib install
       [subant] No sub-builds to iterate on
        [javac] /usr/src/open-xchange-admin-console-ee/src/com/openexchange/admin/console/user/Change.java:72: com.openexchange.admin.console.user.Change is not abstract and does not override abstract method maincall(com.openexchange.admin.console.AdminParser,com.openexchange.admin.rmi.OXUserInterface,com.openexchange.admin.rmi.dataobjects.Context,com.openexchange.admin.rmi.dataobjects.User,com.openexchange.admin.rmi.dataobjects.Credentials) in com.openexchange.admin.console.user.ChangeCore
        [javac] public class Change extends ChangeCore {
        [javac]        ^
        [javac] /usr/src/open-xchange-admin-console-ee/src/com/openexchange/admin/console/user/Change.java:85: method does not override or implement a method from a supertype
        [javac]     @Override
        [javac]     ^
        [javac] 2 errors
    
    BUILD FAILED
    /usr/src/open-xchange-admin/build.xml:206: The following error occurred while executing this line:
    /usr/src/open-xchange-admin/build.xml:82: The following error occurred while executing this line:
    /usr/src/open-xchange-admin-console-ee/build.xml:43: Compile failed; see the compiler error output for details.
    
    Total time: 1 seconds
    Whe I try to compile described in wiki, i get the same error.
    Hmm whats wrong??

  • #2
    Hey, this is exactly the error I get since this morning. Nothing wrong before, but now it's not working anymore. Did the OX dev team change one of the sources?

    Comment


    • #3
      Thats what I mean. It didn't even not work NOW on my old installation SLES10. But that work 3 or 5 days ago.

      Comment


      • #4
        Same error.

        Comment


        • #5
          also same on CentOS-5 ....
          waiting for new code in "open-xchange-admin-console-ee"

          Comment


          • #6
            Since Yesterday, I got also the same error.

            Comment


            • #7
              Same here w/Ubuntu server 7.10

              I too am getting these errors while installing via wiki instructions (not using the installer script).

              Comment


              • #8
                Hi,

                the open-xchange-console-ee sourcecode has been branched to "bf_6_4" (stable). Please checkout this repository instead of HEAD. If you're using the installers, redownload the .sh files, i fixed the debian/ubuntu ones.

                Greetings

                Comment


                • #9
                  And in two minutes the OpenSUSE 10.3 version is fixed as well.

                  Comment


                  • #10
                    So, what must we do ?
                    Do we need to change these lines ?

                    for i in open-xchange-admin open-xchange-admin-plugin-imap \
                    open-xchange-admin-plugin-mail open-xchange-admin-plugin-mailfilter \
                    open-xchange-admin-plugin-context_light open-xchange-admin-plugin-ca_mgmt_simple \
                    open-xchange-admin-plugin-osconfig open-xchange-admin-plugin-services \
                    open-xchange-admin-plugin-sw-update open-xchange-admin-plugin-backup; \
                    do cvs -d server:anonymous@www.open-xchange.com:/cvsroot co -r bf_6_4 $i; \
                    done

                    Thanks

                    PS : sorry for my english

                    Comment


                    • #11
                      Are you using Debian/Ubuntu or OpenSUSE?

                      Comment


                      • #12
                        Hi,
                        I use Debian Etch

                        Comment


                        • #13
                          Whitch installer do you use? Martin Braun changed the Debian installer, if you use that one, you don't have to do anything else.

                          Comment


                          • #14
                            I install Open Xchange for a work placement that i do in a company. So I use the wiki for the installation and not the Martin Braun's script

                            Comment


                            • #15
                              Okay, well, you only have to add open-xchange-admin-console-ee to the "for i in .... "
                              And forget the
                              Code:
                              $ cvs -d :pserver:anonymous@www.open-xchange.com:/cvsroot co \
                              open-xchange-admin-console-ee
                              part.

                              Comment

                              Working...
                              X